/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#include "StateManager.h"
#include "gamestate.h"
#include "PauseState.h"
#include "WorldState.h"

//GFX
PauseState PauseState::m_PauseState;

void PauseState::Init()
{

}

void PauseState::Cleanup()
{
   
}

void PauseState::Pause()
{
   
}

void PauseState::Resume()
{
   
}

void PauseState::HandleEvents(StateManager* game)
{
   if(ul_keys.pressed.start)
   {
   	//On change d'état
		game->PopState();
		AS_SetMP3Volume(mp3Volume);
   }   
}

void PauseState::Update(StateManager* game)
{
}

void PauseState::Draw(StateManager* game)
{  	
	ulDrawFillRect(0,0,256,192,RGB15(0,0,0) );
	ulSetTextColor(RGB15(31,31,31));
	ulDrawString(110, 192/2, "Pause");
}
